package us.souther.simple;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class InitParamsServlet extends HttpServlet{

    private String initParam1;
    private String initParam2;

    public void init(ServletConfig config) throws ServletException {

        initParam1 = config.getInitParameter("init_param_1");
        initParam2 = config.getInitParameter("init_param_2");
    }

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
                      throws ServletException, IOException{

        PrintWriter out = response.getWriter();
        response.setContentType("text/html");

        out.println("<html>");
        out.println(" <head>");
        out.println("  <title>");
        out.println("   Simple Servlet Init Params"); 
        out.println("  </title>");
        out.println(" </head>");
        out.println(" <body>");
        out.println("  Init Param 1: " + this.initParam1);
        out.println("  <br />");
        out.println("  Init Param 2: " + this.initParam2);
        out.println(" </body>");
        out.println("</html>");
    }
}
